%define         _bin_name briss.sh
Name:           briss
Version:        0.9
Release:        1%{?dist}
Summary:        A simple cross-platform application for cropping PDF files

License:        GPLv3+
URL:            http://sourceforge.net/projects/briss/
Source0:       http://downloads.sourceforge.net/project/%{name}/release%20%{version}/%{name}-%{version}.tar.gz
Group:          Applications/Publishing

BuildArch: noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  java
BuildRequires:  desktop-file-utils
Requires:  java >= 1:1.7.0
Requires:  jpackage-utils

%description
This project aims to offer a simple cross-platform (Linux, Windows, Mac OSX) application for cropping PDF files. A simple user interface lets you define exactly the crop-region by fitting a rectangle on the visually overlaid pages.

%prep
%setup -q
%{__sed}  's/\r//' CHANGELOG.txt > ChangeLog
%{__sed}  's/\r//' LICENSE.txt > LICENSE
%{__sed}  's/\r//' README.txt > README

%build

%install
%__rm -rf $RPM_BUILD_ROOT
%__install -d $RPM_BUILD_ROOT%{_javadir}
%__install -p -m644 *.jar $RPM_BUILD_ROOT%{_javadir}
%__ln_s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar


## Create binary script
%__install -d $RPM_BUILD_ROOT%{_bindir}
cat >>$RPM_BUILD_ROOT%{_bindir}/%{_bin_name}<<END
#!/bin/bash
java -jar %{_javadir}/%{name}.jar "\$@"
END
chmod 755 $RPM_BUILD_ROOT%{_bindir}/%{_bin_name}

## Create desktop file
%__install -d $RPM_BUILD_ROOT%{_datadir}/applications/
cat >>%{name}.desktop<<END
[Desktop Entry]
Encoding=UTF-8
Name=%{name}
Comment=A simple cross-platform application for cropping PDF files
Exec=%{_bin_name} %U
Terminal=false
Type=Application
Categories=Graphics;Publishing;Java;
StartupNotify=false
MimeType=application/pdf
END

desktop-file-install --delete-original \
   --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{name}.desktop

%clean
%__rm -rf $RPM_BUILD_ROOT

%files
%doc ChangeLog LICENSE README
%{_bindir}/%{_bin_name}
%{_javadir}/*.jar
%{_datadir}/applications/%{name}.desktop

%changelog
* Mon Nov 17 2014 Ding-Yi Chen <dchen@redhat.com> - 0.9-1
- Upstream update to 0.9

* Fri Jan 13 2012 Ding-Yi Chen <dchen@redhat.com> - 0.0.13-1
- Inital packaging.
